Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class DefaultComboBoxModel

    java.lang.Object
      |
      +--javax.swing.AbstractListModel
            |
            +--javax.swing.DefaultComboBoxModel

All Implemented Interfaces:
  ComboBoxModel, ListModel, MutableComboBoxModel, Serializable

public class DefaultComboBoxModel
extends AbstractListModel
implements MutableComboBoxModel, Serializable

The default model for combo boxes.

Field Summary

Fields inherited from class javax.swing.AbstractListModel
`listenerList`

Constructor Summary
`DefaultComboBoxModel()` Constructs an empty DefaultComboBoxModel object.
`DefaultComboBoxModel(Object[] items)` Constructs a DefaultComboBoxModel object initialized with an array of objects.
`DefaultComboBoxModel(Vector v)` Constructs a DefaultComboBoxModel object initialized with a vector.

Method Summary
`void` | `addElement(Object anObject)` Adds an item at the end of the model.
`Object` | `getElementAt(int index)` Returns the value at the specified index.
`int` | `getIndexOf(Object anObject)` Returns the index-position of the specified object in the list.
`Object` | `getSelectedItem()` Returns the selected item
`int` | `getSize()` Returns the length of the list.
`void` | `insertElementAt(Object anObject, int index)` Adds an item at a specific index.
`void` | `removeAllElements()` Empties the list.
`void` | `removeElement(Object anObject)` Removes an item from the model.
`void` | `removeElementAt(int index)` Removes an item at a specific index.
`void` | `setSelectedItem(Object anObject)` Set the value of the selected item.

Methods inherited from class javax.swing.AbstractListModel
`addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListDataListeners, getListeners, removeListDataListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.ListModel
`addListDataListener, removeListDataListener`

Constructor Detail

### DefaultComboBoxModel

    public DefaultComboBoxModel()

  Constructs an empty DefaultComboBoxModel object.

### DefaultComboBoxModel

    public DefaultComboBoxModel(Object[] items)

  Constructs a DefaultComboBoxModel object initialized with an array of objects.

Parameters:
  `items` - an array of Object objects

### DefaultComboBoxModel

    public DefaultComboBoxModel(Vector v)

  Constructs a DefaultComboBoxModel object initialized with a vector.

Parameters:
  `v` - a Vector object ...

Method Detail

### setSelectedItem

    public void setSelectedItem(Object anObject)

  Set the value of the selected item. The selected item may be null.

  Specified by:
    `setSelectedItem` in interface `ComboBoxModel`
  Parameters:
    `anObject` - The combo box value or null for no selection.

### getSelectedItem

    public Object getSelectedItem()

  Description copied from interface: `ComboBoxModel`
  Returns the selected item

  Specified by:
    `getSelectedItem` in interface `ComboBoxModel`
  Returns:
    The selected item or `null` if there is no selection

### getSize

    public int getSize()

  Description copied from interface: `ListModel`
  Returns the length of the list.

  Specified by:
    `getSize` in interface `ListModel`
  Returns:
    the length of the list

### getElementAt

    public Object getElementAt(int index)

  Description copied from interface: `ListModel`
  Returns the value at the specified index.

  Specified by:
    `getElementAt` in interface `ListModel`
  Parameters:
    `index` - the requested index
  Returns:
    the value at `index`

### getIndexOf

    public int getIndexOf(Object anObject)

  Returns the index-position of the specified object in the list.

  Parameters:
    `anObject` -
  Returns:
    an int representing the index position, where 0 is the first position

### addElement

    public void addElement(Object anObject)

  Description copied from interface: `MutableComboBoxModel`
  Adds an item at the end of the model. The implementation of this method should notify all registered `ListDataListener`s that the item has been added.

  Specified by:
    `addElement` in interface `MutableComboBoxModel`
  Parameters:
    `anObject` - the `Object` to be added

### insertElementAt

    public void insertElementAt(Object anObject,
                                int index)

  Description copied from interface: `MutableComboBoxModel`
  Adds an item at a specific index. The implementation of this method should notify all registered `ListDataListener`s that the item has been added.

  Specified by:
    `insertElementAt` in interface `MutableComboBoxModel`
  Parameters:
    `anObject` - the `Object` to be added
    `index` - location to add the object

### removeElementAt

    public void removeElementAt(int index)

  Description copied from interface: `MutableComboBoxModel`
  Removes an item at a specific index. The implementation of this method should notify all registered `ListDataListener`s that the item has been removed.

  Specified by:
    `removeElementAt` in interface `MutableComboBoxModel`
  Parameters:
    `index` - location of object to be removed

### removeElement

    public void removeElement(Object anObject)

  Description copied from interface: `MutableComboBoxModel`
  Removes an item from the model. The implementation of this method should should notify all registered `ListDataListener`s that the item has been removed.

  Specified by:
    `removeElement` in interface `MutableComboBoxModel`
  Parameters:
    `anObject` - the `Object` to be removed

### removeAllElements

    public void removeAllElements()

  Empties the list.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.